Bug 812488 - Compile error on nlm4 section
Compile error on nlm4 section
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.3-beta
x86_64 Solaris
low Severity medium
: ---
: ---
Assigned To: rjoseph
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 18:00 EDT by Andreas Huser
Modified: 2013-07-22 09:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 09:49:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Huser 2012-04-13 18:00:01 EDT
When i compile the new Version of glusterfs 3.3.0beta3 on solaris. I have an error at nlm4 section.


GlusterFS Version : glusterfs-3.3.0beta3
OS OpenIndiana    : SunOS glnode3 5.11 oi_151a3 i86pc i386 i86pc Solaris

1.) Configure
CFLAGS=-m64 ./configure --prefix=/usr/glusterfs --disable-libglusterfsclient --disable-fuse-client

Output:
GlusterFS configure summary
===========================
FUSE client        : no
Infiniband verbs   : no
epoll IO multiplex : no
argp-standalone    : yes
fusermount         : no
readline           : yes
georeplication     : no

2.) Make

Error Output:

In file included from nlm4-xdr.c:25:
nlm4-xdr.h:37:1: warning: "MAXNAMELEN" redefined
In file included from /usr/include/rpc/auth_sys.h:48,
                 from /usr/include/rpc/rpc.h:63,
                 from nlm4-xdr.h:28,
                 from nlm4-xdr.c:25:
/usr/include/sys/param.h:196:1: warning: this is the location of the previous definition
In file included from nlm4-xdr.c:25:
nlm4-xdr.h:82: error: syntax error before "u_int32_t"
nlm4-xdr.h:82: warning: no semicolon at end of struct or union
nlm4-xdr.h:84: error: syntax error before "l_offset"
nlm4-xdr.h:84: warning: type defaults to `int' in declaration of `l_offset'
nlm4-xdr.h:84: warning: data definition has no type or storage class
nlm4-xdr.h:85: error: syntax error before "l_len"
nlm4-xdr.h:85: warning: type defaults to `int' in declaration of `l_len'
nlm4-xdr.h:85: warning: data definition has no type or storage class
nlm4-xdr.h:93: error: syntax error before "u_int32_t"
nlm4-xdr.h:93: warning: no semicolon at end of struct or union
nlm4-xdr.h:94: warning: type defaults to `int' in declaration of `l_offset'
nlm4-xdr.h:94: warning: data definition has no type or storage class
nlm4-xdr.h:95: error: syntax error before "l_len"
nlm4-xdr.h:95: warning: type defaults to `int' in declaration of `l_len'
nlm4-xdr.h:95: warning: data definition has no type or storage class
nlm4-xdr.h:111: error: field `holder' has incomplete type
nlm4-xdr.h:125: error: field `alock' has incomplete type
nlm4-xdr.h:139: error: field `alock' has incomplete type
nlm4-xdr.h:149: error: field `alock' has incomplete type
nlm4-xdr.h:155: error: field `alock' has incomplete type
nlm4-xdr.c: In function `xdr_nlm4_holder':
nlm4-xdr.c:70: error: dereferencing pointer to incomplete type
nlm4-xdr.c:72: error: dereferencing pointer to incomplete type
nlm4-xdr.c:74: error: dereferencing pointer to incomplete type
nlm4-xdr.c:76: error: dereferencing pointer to incomplete type
nlm4-xdr.c:78: error: dereferencing pointer to incomplete type
nlm4-xdr.c: In function `xdr_nlm4_lock':
nlm4-xdr.c:86: error: dereferencing pointer to incomplete type
nlm4-xdr.c:88: error: dereferencing pointer to incomplete type
nlm4-xdr.c:90: error: dereferencing pointer to incomplete type
nlm4-xdr.c:92: error: dereferencing pointer to incomplete type
nlm4-xdr.c:94: error: dereferencing pointer to incomplete type
nlm4-xdr.c:96: error: dereferencing pointer to incomplete type
make[4]: *** [libgfxdr_la-nlm4-xdr.lo] Fehler 1
make[3]: *** [all-recursive] Fehler 1
make[2]: *** [all-recursive] Fehler 1
make[1]: *** [all-recursive] Fehler 1
make: *** [all] Fehler 2


i have compile tested with make and gmake and without flags (./configure)

many greeting from germany
Andreas
Comment 1 Amar Tumballi 2012-04-29 06:05:38 EDT
Currently we are not officially supporting Solaris builds. It is open to community support. Hence moving the Priority to 'low'.
Comment 2 Vivek Agarwal 2013-07-22 09:49:49 EDT
Based on discussion with PM, will look at this if there are customers asking for this feature.

Note You need to log in before you can comment on or make changes to this bug.